//enhancing the stack size
stacksize("max")

//loading the dataset
tic()
D=csvRead("wave500kNumeric.txt","\t",".","double",[],[],[2 1 500001 22])
disp(toc(),"duree chargement : ")

//target attribute y, descriptors X
y=D(:,22:22)
X=D(:,1:21)

//classes distribution
disp(tabul(y),"distribution classe : ")

//learning phase
tic()
modele=nan_train_sc(X,y,'LD2')
disp(modele.weights,"Coefs. Analyse Discriminante")
disp(toc(),"duree apprentissage : ")

//prediction
tic()
pred=nan_test_sc(modele,X)
disp(toc(),"duree prediction")

//confusion matrix
mc=nan_confusionmat(y,pred.classlabel)
disp(mc,"matrice de confusion")

//resubstitution error rate
disp(1.0-sum(diag(mc))/sum(mc),"taux erreur en resubstitution")
